Package org.eclipse.birt.report.model.api.simpleapi

# Interface IGrid

All Superinterfaces:
  `IDesignElement`, `IReportElement`, `IReportItem`

public interface IGrid extends IReportItem
Represents a the design of a Grid in the scripting environment

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`constants`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCaption()`
Returns the caption text of this grid.
`String`
`getCaptionKey()`
Returns the resource key of the caption.
`int`
`getColumnCount()`
Returns the number of columns in the Grid.
`String`
`getSummary()`
Gets the summary of this grid.
`void`
`setCaption(String caption)`
Sets the caption text of this grid.
`void`
`setCaptionKey(String captionKey)`
Sets the resource key of the caption.
`void`
`setSummary(String summary)`
Sets the summary of this grid.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

## Method Details

### getColumnCount

int getColumnCount()
Returns the number of columns in the Grid. The number is defined as the sum of columns described in the "column" slot.

Returns:
  the number of columns in the grid.

### getSummary

String getSummary()
Gets the summary of this grid.

Returns:
  the summary.

### setSummary

void setSummary(String summary) throws SemanticException
Sets the summary of this grid.

Parameters:
  `summary` - the summary
Throws:
  `SemanticException` - if this property is locked.

### getCaption

String getCaption()
Returns the caption text of this grid.

Returns:
  the caption text

### setCaption

void setCaption(String caption) throws SemanticException
Sets the caption text of this grid.

Parameters:
  `caption` - the caption text
Throws:
  `SemanticException` - if the property is locked.

### getCaptionKey

String getCaptionKey()
Returns the resource key of the caption.

Returns:
  the resource key of the caption

### setCaptionKey

void setCaptionKey(String captionKey) throws SemanticException
Sets the resource key of the caption.

Parameters:
  `captionKey` - the resource key of the caption
Throws:
  `SemanticException` - if the caption resource-key property is locked.